WebAttributes (Grails 4.0.6)
Date: 2020-12-19

Package: grails.web.api

## [Groovy] Trait WebAttributes

- grails.web.api.WebAttributes

- Common web attributes inherited by all controllers and tag libraries

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GrailsWebRequest` | `currentRequestAttributes()`
    `` | `java.lang.String` | `getActionName()` Obtains the currently executing action name
    `` | `GrailsControllerClass` | `getControllerClass()` Obtains the currently executing controller class
    `` | `java.lang.String` | `getControllerName()` Obtains the currently executing controller name
    `` | `java.lang.String` | `getControllerNamespace()` Obtains the currently executing controller namespace
    `` | `FlashScope` | `getFlash()` Obtains the Grails FlashScope instance
    `` | `GrailsApplication` | `getGrailsApplication()` Obtains the GrailsApplication instance
    `` | `GrailsApplicationAttributes` | `getGrailsAttributes()` Obtains the GrailsApplicationAttributes instance
    `` | `GrailsParameterMap` | `getParams()` Obtains the Grails parameter map
    `` | `java.lang.String` | `getPluginContextPath()` Obtains the pluginContextPath
    `` | `GrailsWebRequest` | `getWebRequest()` Obtains the currently executing web request

- - ### Method Detail

    - #### GrailsWebRequest currentRequestAttributes()

    - #### java.lang.String getActionName()

      Obtains the currently executing action name

      Returns:
        The action name

    - #### GrailsControllerClass getControllerClass()

      Obtains the currently executing controller class

      Returns:
        The controller class

    - #### java.lang.String getControllerName()

      Obtains the currently executing controller name

      Returns:
        The controller name

    - #### java.lang.String getControllerNamespace()

      Obtains the currently executing controller namespace

      Returns:
        The controller name

    - #### FlashScope getFlash()

      Obtains the Grails FlashScope instance

      Returns:
        The FlashScope instance

    - #### GrailsApplication getGrailsApplication()

      Obtains the GrailsApplication instance

      Returns:
        The GrailsApplication instance

    - #### GrailsApplicationAttributes getGrailsAttributes()

      Obtains the GrailsApplicationAttributes instance

      Returns:
        The GrailsApplicationAttributes instance

    - #### GrailsParameterMap getParams()

      Obtains the Grails parameter map

      Returns:
        The GrailsParameterMap instance

    - #### java.lang.String getPluginContextPath()

      Obtains the pluginContextPath

      Parameters:
        `delegate` - The object the method is being invoked on
      Returns:
        The plugin context path

    - #### GrailsWebRequest getWebRequest()

      Obtains the currently executing web request

      Returns:
        The GrailsWebRequest instance